package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.tnb.common.db.PageScroll;
import cn.reghao.tnb.content.api.dto.VideoUrls;
import cn.reghao.tnb.content.api.dto.VideoRecordCard;
import cn.reghao.tnb.message.api.dto.MediaProgress;

/**
 * @author reghao
 * @date 2022-08-05 13:49:28
 */
public interface VideoPlayService {
    VideoUrls getVideoPlayData(String videoId);
    void saveRecord(MediaProgress mediaProgress);
    PageScroll<VideoRecordCard> getPlayRecord(long nextId, long userId);
}
